Parma_Polyhedra_Library::Throwable Class Referenceabstract
C++ Language Interface

User objects the PPL can throw. More...

`#include <ppl.hh>`

## Public Member Functions

virtual void | throw_me () const =0
| Throws the user defined exception object.
virtual | ~Throwable ()
| Virtual destructor.

## Detailed Description

User objects the PPL can throw.

This abstract base class should be instantiated by those users willing to provide a polynomial upper bound to the time spent by any invocation of a library operator.

The documentation for this class was generated from the following file:

- ppl.hh